<?xml version="1.0" encoding="utf-8"?>
<registry xmlns:i18n="http://xml.zope.org/namespaces/i18n"
          i18n:domain="ploneintranet"
>
  <record name="ploneintranet.asynctasks.portal_url_replacement_mapping">
    <field type="plone.registry.field.Dict">
      <title>Replace the portal URL with another string in asynchronous requests</title>
      <description>
        This is useful if you do not want to pass through the publication stack.
        If your site is published as https://example.com
        you might want the request to be sent to
        http://127.0.0.1:$PORT/VirtualHostBase/https/example.com:443/$SITE_ID/VirtualHostRoot.
      </description>
      <key_type type="plone.registry.field.TextLine" />
      <value_type type="plone.registry.field.TextLine" />
      <required>False</required>
    </field>
  </record>
</registry>
